Bug 2482 - lib/util_str.c: ret_blob.data type is incompatible with "char *"
lib/util_str.c: ret_blob.data type is incompatible with "char *"
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.11
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 10:50 UTC by Jason Mader
Modified: 2005-08-24 10:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-03-18 10:50:48 UTC
Compiling lib/util_str.c
cc-1164 cc: WARNING File = lib/util_str.c, Line = 802
  Argument of type "unsigned char *" is incompatible with parameter of type
          "char *".

        ret_blob.length = strhex_to_str(ret_blob.data,  
                                        ^
Comment 1 Gerald (Jerry) Carter 2005-03-22 10:10:18 UTC
fixed.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:27:38 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.